Name:           ocaml-ppx-jane
Version:        0.17.0
Release:        %autorelease
Summary:        PPX driver including all Jane Street PPX rewriters

License:        MIT
URL:            https://github.com/janestreet/ppx_jane
VCS:            git:%{url}.git
Source0:        %{url}/archive/v%{version}/ppx_jane-%{version}.tar.gz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-quickcheck-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppx-assert-devel >= 0.17
BuildRequires:  ocaml-ppx-base-devel >= 0.17
BuildRequires:  ocaml-ppx-bench-devel >= 0.17
BuildRequires:  ocaml-ppx-bin-prot-devel >= 0.17
BuildRequires:  ocaml-ppx-custom-printf-devel >= 0.17
BuildRequires:  ocaml-ppx-disable-unused-warnings-devel >= 0.17
BuildRequires:  ocaml-ppx-expect-devel >= 0.17
BuildRequires:  ocaml-ppx-fields-conv-devel >= 0.17
BuildRequires:  ocaml-ppx-fixed-literal-devel >= 0.17
BuildRequires:  ocaml-ppx-here-devel >= 0.17
BuildRequires:  ocaml-ppx-ignore-instrumentation-devel >= 0.17
BuildRequires:  ocaml-ppx-inline-test-devel >= 0.17
BuildRequires:  ocaml-ppx-let-devel >= 0.17
BuildRequires:  ocaml-ppx-log-devel >= 0.17
BuildRequires:  ocaml-ppx-module-timer-devel >= 0.17
BuildRequires:  ocaml-ppx-optional-devel >= 0.17
BuildRequires:  ocaml-ppx-pipebang-devel >= 0.17
BuildRequires:  ocaml-ppx-sexp-message-devel >= 0.17
BuildRequires:  ocaml-ppx-sexp-value-devel >= 0.17
BuildRequires:  ocaml-ppx-stable-devel >= 0.17
BuildRequires:  ocaml-ppx-stable-witness-devel >= 0.17
BuildRequires:  ocaml-ppx-string-devel >= 0.17
BuildRequires:  ocaml-ppx-string-conv-devel >= 0.17
BuildRequires:  ocaml-ppx-tydi-devel >= 0.17
BuildRequires:  ocaml-ppx-typerep-conv-devel >= 0.17
BuildRequires:  ocaml-ppx-variants-conv-devel >= 0.17
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0

%description
This package installs a ppx-jane executable, which is a ppx driver
including all standard Jane Street ppx rewriters.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-quickcheck-devel%{?_isa}
Requires:       ocaml-ppx-assert-devel%{?_isa}
Requires:       ocaml-ppx-base-devel%{?_isa}
Requires:       ocaml-ppx-bench-devel%{?_isa}
Requires:       ocaml-ppx-bin-prot-devel%{?_isa}
Requires:       ocaml-ppx-custom-printf-devel%{?_isa}
Requires:       ocaml-ppx-disable-unused-warnings-devel%{?_isa}
Requires:       ocaml-ppx-expect-devel%{?_isa}
Requires:       ocaml-ppx-fields-conv-devel%{?_isa}
Requires:       ocaml-ppx-fixed-literal-devel%{?_isa}
Requires:       ocaml-ppx-here-devel%{?_isa}
Requires:       ocaml-ppx-ignore-instrumentation-devel%{?_isa}
Requires:       ocaml-ppx-inline-test-devel%{?_isa}
Requires:       ocaml-ppx-let-devel%{?_isa}
Requires:       ocaml-ppx-log-devel%{?_isa}
Requires:       ocaml-ppx-module-timer-devel%{?_isa}
Requires:       ocaml-ppx-optional-devel%{?_isa}
Requires:       ocaml-ppx-pipebang-devel%{?_isa}
Requires:       ocaml-ppx-sexp-message-devel%{?_isa}
Requires:       ocaml-ppx-sexp-value-devel%{?_isa}
Requires:       ocaml-ppx-stable-devel%{?_isa}
Requires:       ocaml-ppx-stable-witness-devel%{?_isa}
Requires:       ocaml-ppx-string-devel%{?_isa}
Requires:       ocaml-ppx-string-conv-devel%{?_isa}
Requires:       ocaml-ppx-tydi-devel%{?_isa}
Requires:       ocaml-ppx-typerep-conv-devel%{?_isa}
Requires:       ocaml-ppx-variants-conv-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_jane-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
